For the complete documentation index, see llms.txt. This page is also available as Markdown.

Amenities

Return detailed information for your amenities in your room type.

API: Direct Booking · Operation: Room Type · Direction: SM → Property · Method: Pull (Property-initiated)

Retrieve a room type's amenities

get

Retrieve a room type's amenities.

Authorizations
x-sm-api-keystringRequired
Path parameters
propertyUuidstringRequired

UUID for a property.

roomTypeUuidstring · uuidRequired

UUID for a room type.

Header parameters
x-sm-api-keystringRequired

API key used to authenticate the request.

Responses
200

Successful operation

application/json
otaCodeintegerRequired

OTA amenity code

namestringRequired

human-readable amenity name

get/properties/{propertyUuid}/room-types/{roomTypeUuid}/amenities
GET /properties/{propertyUuid}/room-types/{roomTypeUuid}/amenities HTTP/1.1
x-sm-api-key: text
Accept: */*
[
  {
    "otaCode": 2,
    "name": "Air conditioning"
  }
]

sparkles

Still have questions?

Last updated

Was this helpful?